Support » Plugin: ImageMagick Engine » Quick patch for WordPress version 3.5.x

  • Resolved redrocksrover2

    (@redrocksrover2)


    For those interested, there is a quick patch you can make to this plugin to restore functionality under WordPress 3.5.x due to the recent changes to the core WordPress WP_Image_Editor class.

    At approximately line 763 in imagemagick-engine.php, change the following line from:
    if (!gd_edit_image_support($post->post_mime_type))

    To:
    if (!wp_image_editor_supports(array('mime_type' => $post->post_mime_type)))

    Save the file, replace it in your plugin folder, and you should be good to go.

    http://wordpress.org/extend/plugins/imagemagick-engine/

Viewing 1 replies (of 1 total)
Viewing 1 replies (of 1 total)
  • The topic ‘Quick patch for WordPress version 3.5.x’ is closed to new replies.